> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spectropic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job

> Get a job

Includes a transcript output if the job is succeeded and less than 24 hours old. Output is automatically deleted after 24 hours.


## OpenAPI

````yaml GET /jobs/{id}
openapi: 3.0.0
info:
  title: Spectropic API
  version: 1.0.0
servers:
  - url: https://api.spectropic.ai/v1
security:
  - Bearer: []
paths:
  /jobs/{id}:
    get:
      tags:
        - Jobs
      summary: Get a job
      description: Get a job
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    nullable: true
                    enum:
                      - created
                      - queued
                      - running
                      - succeeded
                      - failed
                  output:
                    type: object
                    nullable: true
                    properties:
                      jobId:
                        type: string
                        format: uuid
                      numSpeakers:
                        type: number
                        minimum: 1
                        maximum: 25
                      language:
                        type: string
                        enum:
                          - af
                          - am
                          - ar
                          - as
                          - az
                          - ba
                          - be
                          - bg
                          - bn
                          - bo
                          - br
                          - bs
                          - ca
                          - cs
                          - cy
                          - da
                          - de
                          - el
                          - en
                          - es
                          - et
                          - eu
                          - fa
                          - fi
                          - fo
                          - fr
                          - gl
                          - gu
                          - ha
                          - haw
                          - he
                          - hi
                          - hr
                          - ht
                          - hu
                          - hy
                          - id
                          - is
                          - it
                          - ja
                          - jw
                          - ka
                          - kk
                          - km
                          - kn
                          - ko
                          - la
                          - lb
                          - ln
                          - lo
                          - lt
                          - lv
                          - mg
                          - mi
                          - mk
                          - ml
                          - mn
                          - mr
                          - ms
                          - mt
                          - my
                          - ne
                          - nl
                          - nn
                          - 'no'
                          - oc
                          - pa
                          - pl
                          - ps
                          - pt
                          - ro
                          - ru
                          - sa
                          - sd
                          - si
                          - sk
                          - sl
                          - sn
                          - so
                          - sq
                          - sr
                          - su
                          - sv
                          - sw
                          - ta
                          - te
                          - tg
                          - th
                          - tk
                          - tl
                          - tr
                          - tt
                          - uk
                          - ur
                          - uz
                          - vi
                          - yi
                          - yo
                          - zh
                          - yue
                      inferenceStart:
                        type: string
                        format: date-time
                      inferenceEnd:
                        type: string
                        format: date-time
                      segments:
                        type: array
                        items:
                          type: object
                          properties:
                            start:
                              type: number
                            end:
                              type: number
                            text:
                              type: string
                            speaker:
                              type: string
                            avg_logprob:
                              type: number
                            words:
                              type: array
                              items:
                                type: object
                                properties:
                                  word:
                                    type: string
                                  start:
                                    type: number
                                  end:
                                    type: number
                                  probability:
                                    type: number
                                required:
                                  - word
                                  - start
                                  - end
                                  - probability
                          required:
                            - start
                            - end
                            - text
                            - speaker
                            - avg_logprob
                    required:
                      - jobId
                      - numSpeakers
                      - language
                      - inferenceStart
                      - inferenceEnd
                      - segments
                    description: Transcript of a media file
                  model:
                    type: string
                    nullable: true
                  action:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
                    nullable: true
                    format: date-time
                  updatedAt:
                    type: string
                    nullable: true
                    format: date-time
                required:
                  - id
                  - status
                  - output
                  - model
                  - action
                  - createdAt
                  - updatedAt
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        field:
                          type: string
                      required:
                        - message
                        - field
                required:
                  - requestId
                  - message
                  - errors
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                required:
                  - requestId
                  - message
        '402':
          description: Payment required
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                required:
                  - requestId
                  - message
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                  message:
                    type: string
                required:
                  - requestId
                  - message
        '422':
          description: Validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        field:
                          type: string
                      required:
                        - message
                        - field
                required:
                  - requestId
                  - message
                  - errors
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                required:
                  - requestId
                  - message
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                required:
                  - requestId
                  - message
components:
  securitySchemes:
    Bearer:
      type: http
      description: 'API key authentication. Add your API key with format: Bearer <API_KEY>'
      scheme: bearer

````